Наткнулся в этом замечательном блоге http://softhelp.org.ua/  на статью,в которой описывается установка более быстрого ядра для Убунту.Честно говоря,даже не подозревал что такой проект существует,и самое главное - работает.Да и установка очень проста,не вызывает каких то проблем или вопросов.

Итак:

1)Добавляем репозиторий себе в список АРТ

mcedit /etc/apt/sources.list.d/liquorix.list

и добавляем строчки

deb http://liquorix.net/debian sid main
deb-src http://liquorix.net/debian sid main

2)Обновляем списко пакетов

apt-get update

3)Ставим ключ репозитория,что б АРТ не ругался что он не подписан

apt-get install  liquorix-keyring

4)Cтавим ядро:

32-bit without PAE (HIGHMEM4G):

apt-get install linux-image-liquorix-686 linux-headers-liquorix-686

32-bit with PAE (HIGHMEM64G):

apt-get install linux-image-liquorix-686-pae linux-headers-liquorix-686-pae

64-bit:

apt-get install linux-image-liquorix-amd64 linux-headers-liquorix-amd64

5)Перезагружаемся

UPD.: как стало известно из тестов и отзывов посетителей,данное описание не подходит под многие дистрибутивы,отличающиеся от Кубунту,на которой я это пробовал - ядро не ставится,менеджер пакетов ругается.Решение пока не нашел,нет времени.

8 комментариев

  1. avatar step:

    при установке ядра выдало:
    Некоторые пакеты невозможно установить. Возможно, вы просите невозможного,
    или же используете нестабильную версию дистрибутива, где запрошенные вами
    пакеты ещё не созданы или были удалены из Incoming.
    Следующая информация, возможно, поможет вам:

    Пакеты, имеющие неудовлетворённые зависимости:
    linux-headers-liquorix-686 : Зависит: linux-headers-4.0-4.dmz.1-liquorix-686 (= 4.0-8) но он не будет установлен




    1



    0
  2. avatar nemo:

    вот что выдает
    : Невозможно исправить ошибки, у вас отложены (held) битые пакеты




    1



    0
    • Да,столкнулся на других дистрибутивах,отличных от Кубунту с такой ошибкой.На Минте не работает тоже например.Добавил в описание статьи.Решения пока некода было искать)




      1



      0
  3. avatar Сергей:

    убунту 16.10 ,просто добавил в source list репозитарии,обновил и все установилось ьез проблем




    1



    0
  4. avatar Сергей:

    ну почему ,я ставил и на 12 версию без проблем




    1



    0

Добавить комментарий

%d такие блоггеры, как: